SEO观察
研究搜索引擎优化(SEO)技术。

针对WordPress程序无法升级最新版本的问题分析

WordPress程序是当前使用率最高的CMS系统之一,因开发功能完善,WordPress模板和插件众多而著称,茹莱神兽做三个网站,其中有两个网站使用的是WordPress程序搭建,可见它的受欢迎程度。

WordPress网站程序

而WordPress程序本身也相当给力,为迎合市场需求而在不断的迭代更新,现今WordPress 6.1.1已经能够使用,升级至当前最新版本是WordPress使用者需要做的事儿,茹莱神兽也是如此。

但实际上,茹莱神兽目前使用的WordPress程序还是5.8.3版本的,本人也对WordPress网站程序进行了多次的升级和降级处理,原因是因为升级至WordPress最新版本之后,后台的文章和媒体功能无法正常显示,后台不兼容。

推测,WordPress网站程序无法升级至最新版本的原因如下:

1)WordPress插件不兼容;
2)服务器运行 PHP 版本低;
3)WordPress模板不兼容;

WordPress网站程序升级出现问题,就要针对这些问题进行逐个的排查,下面茹莱神兽将对这三个问题一一进行分析。

1、WordPress插件不兼容问题

众所周知,WordPress插件安装过多会影响网站的加载速度,若是你的WordPress网站无法升级至最新版本,WP插件不兼容当前程序应该是你首先要考虑的问题。

经常更换WordPress插件的站长就会发现,后台安装插件,很多因为不兼容当前最新版本的WordPress程序而无法安装,原因可能是WordPress插件开发者没有更新插件导致的。

WordPress后台安装的插件越多,站长排查的难度就越大,所以茹莱神兽建议安装WordPress插件最好不要超过5个,否则不但影响WordPress网站的加载速度,还会给程序升级带来阻碍。

茹莱神兽的WordPress网站程序无法升级,不是插件的问题,因为本人只安装了两个WordPress插件,而且会定期迭代更新,所以也不会出现程序不兼容的问题。

2、服务器运行 PHP 版本低的问题

关于服务器运行PHP版本问题,茹莱神兽最开始是没有考虑这个问题,直到WordPress 5.5版本出现之后(有可能记错了),对服务器PHP有了新的要求。

当时茹莱神兽的WordPress网站程序也无法升级,后台针对最新版本升级的描述是英文的,后台才搞清楚是服务器PHP版本问题,登录主机服务商更改PHP版本后,WordPress升级顺利进行。

茹莱神兽前几次尝试给WordPress程序升级,甚至把服务器的PHP版本调制8.0,通过FTP上传之后,后台的文章和媒体功能仍然不兼容,所以这个问题也排除了。

3、WordPress主题模板不兼容的问题

分析了前面两个问题之后,茹莱神兽的WordPress网站程序还是无法升级,或者说升级之后,后台仍然出现了后台不兼容等问题,那么剩下的就是WordPress主题模板程序不兼容了。

所以WordPress网站无法升级的问题出在这里,茹莱神兽的网站使用的是大前端DUX主题,目前的版本是7.3,不是大前端DUX主题的最新版本,但是足够WordPress程序升级至最新版本使用,但后台仍然出现了不兼容问题。

最开始茹莱神兽是想不通问题出在哪里,后来发现可能是大前端DUX主题升级后遗留下来的,因为这个网站是 2017年搭建的,使用的是大前端DUX主题 5.1版本的。

而大前端DUX主题的升级方式实际上是新版本覆盖老版本,随着DUX主题模板的不断迭代更新,很多功能已经放弃使用了,而遗留下来的DUX老版本多余的功能程序是没有升级的,而老版本的多余功能中的PHP程序由于过时,无法完全兼容新的WordPress程序版本,所以升级完成后,仍然会出现后台兼容性问题。

这个问题是茹莱神兽后面想通的,若WordPress升级失败,那么茹莱神兽猜测可能是因为没有使用正版的大前端DUX主题模板的原因导致的。

赞(0) 打赏
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《针对WordPress程序无法升级最新版本的问题分析》
文章链接:https://www.badpon.com/4436.html
免责申明:本站部分内容、图片来源于网络,如有侵权,请联系邮箱,本站将及时删除。

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续给力更多优质内容,让我们一起创建更加美好的网络世界!

微信扫一扫打赏